Skip to main content
GET
/
api
/
jobs
/
beta
/
jobs
Get Jobs for a project
curl --request GET \
  --url https://api.example.com/api/jobs/beta/jobs \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "jobs": [
    {
      "commitDetails": {
        "inputCommitId": "f1dafe322c7d4a6720f652c330fe33b014720e46",
        "outputCommitId": "e1f06e5f64cfc26c2b70e405f70b7c8300d8a4ed"
      },
      "datasetMounts": [
        {
          "datasetName": "MyDataset",
          "id": "623137f57a0af0281c01a6a0",
          "isInput": true,
          "projectId": "6231383c7a0af0281c01a6a1",
          "containerPath": "/domino/datasets/local/quick-start",
          "snapshotId": "623138807a0af0281c01a6a2",
          "snapshotVersion": 2
        }
      ],
      "dominoStats": [
        {
          "name": "R-squared",
          "value": 0.89
        }
      ],
      "externalVolumeMounts": [
        {
          "mountPath": "/path/to/my/volume",
          "name": "MyExternalVolume",
          "readOnly": false,
          "subPath": "/mypath"
        }
      ],
      "gitRepos": [
        {
          "id": "6231365e7a0af0281c01a69f",
          "name": "MyRepo",
          "ref": "<string>",
          "uri": "git@github.com:apache/spark.git",
          "endingBranch": "final-branch",
          "endingCommitId": "dff155c9a736f9cd230eac420e3c1ef3daa0ad7e",
          "startingBranch": "init-test-branch",
          "startingCommitId": "4f2d5c2f54db4fbb16a093d4fb11fdb1fe0794c7"
        }
      ],
      "id": "<string>",
      "netAppVolumeMounts": [
        {
          "name": "MyVolume",
          "snapshotMountPath": "/path/to/my/snapshot",
          "snapshotReadOnly": false,
          "volumeMountPath": "/path/to/my/volume",
          "volumeReadOnly": false,
          "otherMounts": [
            {
              "mountPath": "/path/to/other/mount",
              "readOnly": true,
              "subPath": "/other/subPath"
            }
          ],
          "snapshotSubPath": "/my/snapshot/subPath",
          "volumeSubPath": "/my/volume/subPath"
        }
      ],
      "number": 123,
      "projects": [
        {
          "commitId": "7f8e3908f129c0ca6529028618e6f10b3d2f315a",
          "projectId": "623138c87a0af0281c01a6a3"
        }
      ],
      "runCommand": "<string>",
      "stageTimes": {
        "submissionTime": "2022-03-12T02:13:44.467Z",
        "completedTime": "2022-03-12T02:16:43.127Z",
        "startTime": "2022-03-12T02:15:44.848Z"
      },
      "status": {
        "executionStatus": "Succeeded",
        "isArchived": false,
        "isCompleted": true,
        "isScheduled": false
      },
      "computeCluster": {
        "computeEnvironmentId": "623139857a0af0281c01a6a4",
        "workerCount": 4,
        "workerHardwareTier": "large-k8s",
        "computeEnvironmentRevisionSpec": "ActiveRevision | LatestRevision | SomeRevision(623131577a0af0281c01a69a)",
        "masterHardwareTierId": "medium-k8s",
        "maxWorkerCount": 10,
        "workerStorageMB": 5
      },
      "mainRepoGitRef": {
        "refType": "head | commitId | tags | branches",
        "value": "my-test-branch"
      },
      "runLauncherId": "<string>",
      "startedById": "<string>",
      "title": "<string>",
      "usage": {
        "cpuPercentage": 5,
        "memoryGiB": 0.73
      }
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

projectId
string
required

Id of project to retrieve Jobs for

offset
integer

Number of jobs from the start to skip. Defaults to 0.

limit
integer

Total number of Jobs to retrieve. Defaults to 10.

sortBy
enum<string>

Field to sort Jobs by. Defaults to "number".

Available options:
number,
title,
command,
startedTime,
duration,
status,
user,
commentCount,
dominoStatsField
dominoStatsSortFieldName
string

Field in domino stats to sort by. Only used if sortBy = dominoStatsField.

ascending
boolean

Whether to sort ascending or descending. Defaults to to False.

showArchived
boolean

Whether to include archived Jobs in results. Defaults to false.

statusFilter
enum<string>

Status of Jobs to fetch. Defaults to "all".

Available options:
all,
queued,
running,
completed,
archived,
active
tagFilter
string

Tag to filter by. Must match tag name exactly.

Response

Success

jobs
object[]
required
metadata
object
required